{% extends 'base.html' %}

{% block title %}
    Project List
{% endblock title %}
{% block content %}
    <main>
        <div>
            <h1>My Projects</h1>
            <p class='button-bar'>
                <a href={% url 'create_project' %}>Create a new project</a>
                <a href={% url 'create_task' %}>Create a new task</a>
            </p>
            {% if not projects %}
                <p>You don't own any projects</p>
            {% else %}
                <table>
                    <thead>
                        <th>Name</th>
                        <th>Number of tasks</th>
                    </thead>
                    <tbody>
                        {% for project in projects %}
                            <tr>
                                <td>
                                    <a href={% url "show_project" project.id %}>{{ project.name }}</a>
                                </td>
                                <td>{{ project.tasks.all|length }}</td>
                                <td class="table-a">
                                    <a href={% url "show_gantt" project.id %}>Gantt Chart</a>
                                </td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            {% endif %}
            <div>
            </main>
        {% endblock content %}
